### Method

# EDataServer SourceAuthentication set_user

since: 3.6

#### Declaration [src]

    void
    e_source_authentication_set_user (
      ESourceAuthentication* extension,
      const gchar* user
    )

#### Description [src]

Sets the user name used to authenticate to a remote account.

The internal copy of `user` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceAuthentication:user`

#### Parameters

`user`

  Type: `const gchar*`

  A user name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.